Subject: TMS 9900 Single Board Computer on Ebay

From: "Stuart" <[email-masked]>
Date: Fri, 07 May 2010 22:01:00 -0000

There's another TMS 9900 single board computer on Ebay if anyone is interested in one to tinker with. Item number 270574412095. I've bought two as spares from this seller with no problems.

Board has a 9900 processor, a 9901, two 9902 RS-232 ports, 4K RAM, 8K EPROM, DIP switch and an all-important LED that you can control through software.

Needs a regulated power supply. An old PC AT supply can be wired up fine.

I can provide the TIBUG machine code monitor (later developed for the MiniMem cartridge EasyBug program) and line-by-line assembler. I have a little PC utility that lets you download programs assembled with Asm994a over an RS-232 link. RAM and EPROM can be expanded on-board by means of jumpers and blowing a different memory mapper PROM. If you're able to cobble together a backplane so you can connect other boards to the bus, I have an IDE controller board that lets you save/load blocks of memory to/from a hard disk or CF card.

Stuart.